<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseConfig..::.ReadUncommitted Field
DatabaseConfig Class See Also Send Feedback

Support transactional read operations with degree 1 isolation.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public bool ReadUncommitted

Visual Basic (Declaration)

    Public ReadUncommitted As Boolean

Visual C++

    public:
    bool ReadUncommitted

# Remarks

Read operations on the database may request the return of modified but not yet committed data. This flag must be specified on all database objects used to perform dirty reads or database updates, otherwise requests for dirty reads may not be honored and the read may block.

# See Also

DatabaseConfig Class
BerkeleyDB Namespace